Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types.hierarchy
Class PrincipalHierarchy

    java.lang.Object
      jif.types.hierarchy.PrincipalHierarchy

    public class PrincipalHierarchy

extends java.lang.Object

The principal hierarchy that defines the acts-for relationships between principals.

Constructor Summary
`PrincipalHierarchy()`

Method Summary
`boolean` | `actsFor(java.util.Collection actorGrp, java.util.Collection grantorGrp)`
`boolean` | `actsFor(Principal actor, Principal granter)`
`protected boolean` | `actsFor(Principal actor, Principal granter, java.util.Set visited)`
`java.lang.String` | `actsForString()`
`void` | `add(Principal actor, Principal granter)`
`void` | `clear()`
`PrincipalHierarchy` | `copy()`
`boolean` | `isEmpty()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrincipalHierarchy

    public PrincipalHierarchy()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### actsForString

    public java.lang.String actsForString()

### isEmpty

    public boolean isEmpty()

### add

    public void add(Principal actor,
                    Principal granter)

### actsFor

    public boolean actsFor(Principal actor,
                           Principal granter)

### actsFor

    protected boolean actsFor(Principal actor,
                              Principal granter,
                              java.util.Set visited)

### actsFor

    public boolean actsFor(java.util.Collection actorGrp,
                           java.util.Collection grantorGrp)

### copy

    public PrincipalHierarchy copy()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD